Summary:	Userland scripts to control "laptop mode"
Name:		laptop-mode-tools
Version:	1.72.3
Release:	%mkrel 4
Source0:	https://github.com/rickysarraf/laptop_mode/tools/downloads/%{name}-%{version}.tar.xz
Patch1:		laptop-mode-tools-1.11-lsb.patch
Patch2:		laptop-mode-tools_1.60-disable-usb-autosuspend.patch
License:	GPLv2
Group:		System/Kernel and hardware
URL:		https://github.com/rickysarraf/laptop-mode-tools.git
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts:	suspend-scripts < 1.9.2
Requires:	hdparm
Requires:	sdparm
Requires:	python-qt5
Requires(post):	rpm-helper
Requires(preun):rpm-helper
#####BuildArch:	noarch

%description
Userland scripts to control "laptop mode" Laptop mode is a Linux
kernel feature that allows your laptop to save considerable power, by
allowing the hard drive to spin down for longer periods of time. This
package contains the userland scripts that are needed to enable laptop
mode.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 -b .lsb
#%patch2 -p1

%install
rm -rf %{buildroot}

#not created during install
mkdir -p %{buildroot}%{_sysconfdir}/pm/sleep.d

DESTDIR=%{buildroot} \
INIT_D=%{buildroot}%{_initrddir} \
LIB_D=/lib \
ULIB_D=/usr/lib \
LUDEV_D=/lib/udev \
SYSTEMD=no \
SYSTEMD_UNIT_D=no \
MAN_D=%{_mandir} \
UDEV_D=%{_sysconfdir}/udev \
TMPFILES_D=/usr/lib/tmpfiles.d \
INSTALL="install" \
  ./install.sh

# Work around bug in installer. It installs the script in the wrong location if INIT_D="".
#rm %{buildroot}/etc/init.d/laptop-mode

%{__mkdir_p} -m0755 %{buildroot}%{_initrddir}
%{__install} -Dp -m755 etc/init.d/laptop-mode %{buildroot}%{_initrddir}

%{__mkdir_p} -m0755 %{buildroot}/lib/udev/rules.d/
cp -f %{buildroot}/etc/udev/rules.d/99-laptop-mode.rules %{buildroot}/lib/udev/rules.d/99-laptop-mode.rules
mv %{buildroot}/etc/udev/lmt-udev %{buildroot}/lib/udev/lmt-udev
ln -sf /lib/udev/lmt-udev %{buildroot}/etc/udev/lmt-udev

### install gui
%{__mkdir_p} -m0755 %{buildroot}/usr/bin
%{__mkdir_p} -m0755 %{buildroot}/usr/share/applications
%{__install} -m755 gui/LMT.py %{buildroot}/usr/share/laptop-mode-tools/lmt.py
%{__install} -m755 gui/lmt-config-gui %{buildroot}/usr/bin/
%{__install} -m755 gui/laptop-mode-tools.desktop %{buildroot}/usr/share/applications/

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --add-category="Settings" \
  --add-category="HardwareSettings" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/laptop-mode-tools.desktop


%pre
# backup old conf's for replacements
if [ -f /etc/laptop-mode/conf.d/*.conf ]; then
mkdir -p /etc/laptop-mode/conf.d/backup
cp -rf /etc/laptop-mode/conf.d/*.conf /etc/laptop-mode/conf.d/backup
fi

%post
/sbin/chkconfig --add laptop-mode
/sbin/service laptop-mode start &>/dev/null || :
/sbin/service acpid restart &>/dev/null || :
%_post_service laptop-mode

%preun
/sbin/service laptop-mode condrestart &>/dev/null || :
%_preun_service laptop-mode

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root, 0755)
%doc COPYING Documentation/*.txt README.md
%docdir %{_mandir}
%doc %{_mandir}/man8/laptop*mode*
%doc %{_mandir}/man8/lm-profiler*
%doc %{_mandir}/man8/lm-syslog*
%config %{_sysconfdir}/acpi/actions/lm_*.sh
%config %{_sysconfdir}/acpi/events/lm_*
%config(noreplace) %{_sysconfdir}/laptop-mode/
%config %{_initrddir}/laptop-mode
/lib/udev/lmt-udev
#/lib/systemd/system/laptop-mode.service
#/lib/systemd/system/laptop-mode.timer
#/lib/systemd/system/lmt-poll.service
/lib/udev/rules.d/99-laptop-mode.rules
%{_sysconfdir}/udev/rules.d/99-laptop-mode.rules
#as link
%{_sysconfdir}/udev/lmt-udev
%{_sysconfdir}/apm/event.d/*
%{_sysconfdir}/power/scripts.d/*
%{_sysconfdir}/power/event.d/*
#%{_usr}/sbin/*
%{_sbindir}/*
%{_datadir}/laptop-mode-tools/modules/*
%{_datadir}/laptop-mode-tools/module-helpers/*
%{_datadir}/polkit-1/actions/org.linux.lmt.gui.policy
%{_usr}/lib/pm-utils/sleep.d/*
#%{_usr}/lib/tmpfiles.d/laptop-mode.conf

%dir %{_sysconfdir}/acpi/events
%dir %{_sysconfdir}/acpi/actions
%dir %{_usr}/lib/pm-utils/sleep.d
#%dir %{_usr}/lib/tmpfiles.d
%dir %{_datadir}/laptop-mode-tools/modules
%dir %{_datadir}/laptop-mode-tools/module-helpers
%dir %{_sysconfdir}/apm/event.d
%dir %{_sysconfdir}/power/scripts.d
%dir %{_sysconfdir}/power/event.d
### gui
%{_bindir}/lmt-config-gui
%{_datadir}/applications/laptop-mode-tools.desktop
%{_datadir}/laptop-mode-tools/lmt.py
%{_datadir}/laptop-mode-tools/LMT.py
%{_datadir}/pixmaps/laptop-mode-tools.svg


%changelog
* Tue Sep 10 2019 onkelho <oh.quait at gmail.com> - 1.72.3-4pclos2019
- rebuild add python-qt5 as Req
- https://github.com/rickysarraf/

* Fri May 31 2019 onkelho <oh.quait at gmail.com> - 1.72.3-2pclos2019
- rebuild

* Sun Nov 11 2018 onkelho <oh.quait at gmail.com> 1.72.3-1pclos2018
- new version,

* Sat Apr 09 2016 quait <qua.it@t-online.de> 1.69.2-2quait2016
- new version--rebuild

* Mon Nov 10 2014 onkelho  <qua.it@t-online.de> 1.66.2-30quait2014
- new version,

* Mon Jun 11 2012 Neal <nealbrks0 at gmail dot com> 1.60-2pclos2012
- process

* Mon Jun 11 2012 kjpetrie <pclos dot bugs at kjpetrie dot co dot uk> 1.60-2pclos2012
- added laptop-mode-tools_1.60-disable-usb-autosuspend.patch
- converted archive to zx

* Sun Apr 08 2012 Neal <nealbrks0 at gmail dot com>
- process

* Sat Apr  7 2012 AS <as.pclos @ gmail.com> 1.60-1pclos2012
- update required because of 3.2.x kernel

* Thu Feb 18 2010 Texstar <texstar at gmail.com> 1.53-1pclos2010
- update for 2010


